# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        MPEG Support Plugin for OGMRip
Name:           ogmrip-mpeg
Version:        0.2
Release:        5.2
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-mpeg-%{version}.tar.gz
Source0:        ogmrip-mpeg-%{version}.tar.bz2
License:        GNU Lesser General Public License version 2.1 or later (LGPLv2.1 or later)
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libogmrip-devel
BuildRequires:  libquicktime-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
Requires:       mjpegtools
Requires:       ogmrip

%description
A mpeg OGMRip plugin.

%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|-Werror||g' \
    configure

%build
# not required at build time.
export MPLEX_PROG=/bin/true
%configure \
    --enable-static=no
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall \
    	video_codecsdir=%{_libdir}/ogmrip/video-plugins \
    	options_plugindir=%{_libdir}/ogmrip/options-plugins \
    	containersdir=%{_libdir}/ogmrip/container-plugins

find "%{buildroot}%{_libdir}/ogmrip/" -type f \( -name '*.la' -o -name '*.h' \) -exec %__rm {} \;

%find_lang %{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/spumux.sh
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/container-plugins
%{_libdir}/ogmrip/container-plugins/libogmrip-mpeg.so
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-lavc-mpeg1.so
%{_libdir}/ogmrip/video-plugins/libogmrip-lavc-mpeg2.so
%dir %{_libdir}/ogmrip/options-plugins
%{_libdir}/ogmrip/options-plugins/libogmrip-mpeg-options.so
%dir %{_datadir}/ogmrip
%{_datadir}/ogmrip/%{name}.glade
%dir %{_datadir}/ogmrip/profiles
%{_datadir}/ogmrip/profiles/profiles-mpeg.xml

%changelog
* Sun May  6 2012 seife+obs@b1-systems.com
- add mjpegtools buildrequires to fix build
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2
* Tue Dec 23 2008 toni@links2linux.de
- rebuildwith new libdvdread(-devel)
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.1
